Bug 248408 - www/riot-web: rename to www/element-web and update to 1.7.5
Summary: www/riot-web: rename to www/element-web and update to 1.7.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason E. Hale
URL: https://github.com/vector-im/element-...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-01 09:34 UTC by Alexander Sieg
Modified: 2021-01-22 16:17 UTC (History)
2 users (show)

See Also:


Attachments
update to 1.7.2 and rename to element-web (332 bytes, patch)
2020-08-01 09:39 UTC, Alexander Sieg
ports: maintainer-approval+
Details | Diff
update to 1.7.2 and rename to element-web (17.97 KB, patch)
2020-08-01 09:41 UTC, Alexander Sieg
no flags Details | Diff
update to 1.7.3 and rename to element-wen (14.26 KB, patch)
2020-08-07 15:39 UTC, Alexander Sieg
ports: maintainer-approval+
Details | Diff
Add port rename to MOVED (482 bytes, patch)
2020-08-07 15:45 UTC, Alexander Sieg
ports: maintainer-approval+
Details | Diff
update to 1.7.4 and rename to element-web (16.22 KB, patch)
2020-08-21 08:05 UTC, Alexander Sieg
ports: maintainer-approval+
Details | Diff
update to 1.7.5 and rename to element-web (20.21 KB, patch)
2020-09-08 17:19 UTC, Alexander Sieg
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2020-08-01 09:34:28 UTC

    
Comment 1 Alexander Sieg 2020-08-01 09:38:48 UTC
MOVED File update:
www/riot-web|www/element-web|2020-07-27|Project renamed
Comment 2 Alexander Sieg 2020-08-01 09:39:48 UTC
Created attachment 216931 [details]
update to 1.7.2 and rename to element-web
Comment 3 Alexander Sieg 2020-08-01 09:41:19 UTC
Created attachment 216932 [details]
update to 1.7.2 and rename to element-web

previous file was only partial
Comment 4 Alexander Sieg 2020-08-01 10:15:27 UTC
I'll provide a pkg-message file to inform users about the install directory change
Comment 5 Fernando Apesteguía freebsd_committer 2020-08-04 15:56:25 UTC
^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.

Attachment -> Details -> maintainer-approval [+]
Comment 6 Alexander Sieg 2020-08-07 15:39:25 UTC
Created attachment 217072 [details]
update to 1.7.3 and rename to element-wen
Comment 7 Alexander Sieg 2020-08-07 15:45:14 UTC
Created attachment 217073 [details]
Add port rename to MOVED
Comment 8 Alexander Sieg 2020-08-21 08:05:10 UTC
Created attachment 217414 [details]
update to 1.7.4 and rename to element-web
Comment 9 Alexander Sieg 2020-09-08 17:19:05 UTC
Created attachment 217823 [details]
update to 1.7.5 and rename to element-web
Comment 10 commit-hook freebsd_committer 2021-01-22 16:11:55 UTC
A commit references this bug:

Author: jhale
Date: Fri Jan 22 16:11:34 UTC 2021
New revision: 562319
URL: https://svnweb.freebsd.org/changeset/ports/562319

Log:
  www/riot-web: Rename to www/element-web and update to 1.7.5

  PR:		248408
  Submitted by:	Alexander Sieg <ports@xanderio.de> (maintainer)

Changes:
  head/MOVED
  head/www/Makefile
  head/www/element-web/
  head/www/element-web/Makefile
  head/www/element-web/distinfo
  head/www/element-web/files/
  head/www/element-web/files/pkg-message.in
  head/www/element-web/pkg-descr
  head/www/element-web/pkg-plist
  head/www/riot-web/
Comment 11 Jason E. Hale freebsd_committer 2021-01-22 16:17:05 UTC
I completed the move and update to 1.7.5. Version 1.7.17 is available, but that should be easier now that the move is done. I also took the liberty of updating pkg-descr and fixed a few typos in pkg-message. Sorry it took so long!